#include <iostream>

using namespace std;

int n, q, l, x[210], t[210];
float  k, T;


int main(){
	freopen("TRANSPORT.IN","r",stdin);
	cin >> q; 
	for (int ii=0; ii<q; ii++){
		cin>>n>>k>>l;
		for (int i=0; i<n; i++){
			cin>>x[i];
			if (x[i]==l) t[i]=0; else cin>>t[i];
		}
		k=(float)k/60;
		T=(float)l/k; 
		for(int i=0;i<n;i++)
			T+=t[i];
		printf ("%.2f\n", T);
	}
		return 0;
}